; TIP976.LSP: TITLE.LSP   Standard Titles   (c)1994, Jimmy Dobbs

(defun c:title ()
(setq n (* 0.5 pi) w pi s (* 1.5 pi) e 0)
(setq ds (getvar "dimscale"))
(setq text (getstring t "\nTitle: "))
(setq num (getstring "\nNumber or Letter: "))
(initget 1 "Y N")
(setq scale (getkword "\nText below line? (Y)es or (N)o: "))
(if (= scale "Y") (setq text2 (getstring t "\nText below the line: ")))
(setq pt1 (getpoint "\nMidpoint of title location: "))
(setq size (* 0.1875 ds))                               ;;;sets title text height
(setvar "cecolor" "green")                              ;;;sets title color
(command "text" "j" "c" pt1 size "0" text)
(setq txt (entget (entlast)) tb (textbox txt) ll (car tb) ur (cadr tb))
(setq long (* 1.25 (/ (- (car ll) (car ur)) 2)))
(setq rad (* 0.15625 ds)
      pt2 (polar pt1 s (/ size 2))
      pt3 (polar pt2 w long) 
      pt4 (polar pt2 e long)
      pt5 (polar pt4 w rad))
(command "line" pt3 pt4 "")
(command "circle" pt5 rad)
(command "text" "j" "m" pt5 (* 0.125 ds) "0" num) 
(setvar "cecolor" "bylayer")                            ;;;returns original color
(if (= scale "Y") 
   (command "text" "j" "tc" (polar pt2 s (/ size 2)) (* 0.125 ds) "0" text2))
(princ)
)
